<!-- ******** NEW_SKIN_2015 ******** -->

<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.defaults.*" %>
<%@ page import="java.util.*" %>

<%
List sideButtons = new ArrayList(5);
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "ModifyFilters");


%>
<%@ include file="NewPageHeader.jsp" %>



<%
int spamThreshold = (Integer) request.getAttribute("spamThreshold");
int possibleThreshold = (Integer) request.getAttribute("possibleThreshold");



String autoLearnSender = (String) request.getAttribute("autoLearnSender");
String enableSpf = (String) request.getAttribute("enableSpf");


int goodPercent = (possibleThreshold + 50) / 2;  //This is actuall (possibleThreashold + 50) * 100 / 200
                                                 //I add 50 because the score scale starts from -50, not 0
                                                 //and the total lenght is 200, not 100

int possiblePercent = ((spamThreshold + 50) / 2) - goodPercent;

int spamPercent = 100 - (goodPercent + possiblePercent);


%>

<%@ include file="CurrentProfileName.jsp" %>
<%@ include file="LicenseWarning.jsp" %>

<a href="<%=response.encodeURL("FrontController?operation=3") %>">&lt;&lt; Back to filter management</a>

<br style="clear:both;">
<h1 class="pull-left">Overall Score Configuration</h1>

<br style="clear:both;"><br>
<div class="row">
	<div class="col-md-6">
		<div class="well">
			<%= productName %> uses a sophisticated score-based 
			filtering system to determine if an email should
			be considered junk.
		</div>
		
		<br style="clear:both;">
		<div align="center">
			<TABLE width="100%" cellspacing="0" border="0" cellpadding="0">
				<TR>
				<TD width="<%=goodPercent%>%" bgcolor="<%=DefaultColors.getInstance().getGoodColorForHtml()%>" height="8"><img src="<%= imagePath %>void.gif" height="1" width="1"></TD>
				<TD width="<%=possiblePercent%>%" bgcolor="<%=DefaultColors.getInstance().getGreyColorForHtml()%>" height="8" ><img src="<%= imagePath %>void.gif" height="1" width="1"></TD>
				<TD width="<%=spamPercent%>%" bgcolor="<%=DefaultColors.getInstance().getJunkColorForHtml()%>" height="8"><img src="<%= imagePath %>void.gif" height="1" width="1"></TD>
				</TR>
			</TABLE>

			<TABLE width="100%" cellspacing="0" border="0" cellpadding="0">
				<TR>
				<TD width="12%"><font size="-4">|</font></TD>
				<TD width="13%"><font size="-4">|</font></TD>
				<TD width="12%"><font size="-4">|</font></TD>
				<TD width="13%"><font size="-4">|</font></TD>
				<TD width="12%"><font size="-4">|</font></TD>
				<TD width="13%"><font size="-4">|</font></TD>
				<TD width="25%"><table width="100%" cellpadding="0" cellspacing="0"><tr><td align="left"><font size="-4">|</font></td><td align="center"><font size="-4">|</font></td><td align="right"><font size="-4">|</font></td></tr></table></TD>
				</TR>
			</TABLE>

			<TABLE width="100%" cellspacing="0" border="0" cellpadding="0">
				<TR>
				<TD width="12%"><font size="-4">-50</font></TD>
				<TD width="13%"><font size="-4">-25</font></TD>
				<TD width="12%"><font size="-4">0</font></TD>
				<TD width="13%"><font size="-4">25</font></TD>
				<TD width="12%"><font size="-4">50</font></TD>
				<TD width="13%"><font size="-4">75</font></TD>
				<TD width="25%"><table width="100%" cellpadding="0" cellspacing="0"><tr><td align="left"><font size="-4">100</font></td><td align="center"><font size="-4">125</font></td><td align="right"><font size="-4">150</font></td></tr></table></TD>
				</TR>
			</TABLE>

			<table width="100%" cellspacing="0" border="0">
				<tr><td align="center"><%= productName %> Scoring chart</td></tr>
			</table>
		</div>
		<br style="clear:both;">
	</div>
	
	<br class="hide_lg">
	<div class="col-md-6">
		<div class="well-info-wrap">
			<div class="well-info-header">Categorization</div>
			<div class="well-info-body">
			Every email that you receive is assigned a score, and based
			on its score, an email may fall into one of these three
			categories:
			<ul>
			<li><font color="<%=DefaultColors.getInstance().getGoodColorForHtml()%>"><b>Good Emails</b></font> - Emails with score less than <%=possibleThreshold%>
			<li><font color="<%=DefaultColors.getInstance().getGreyColorForHtml()%>"><b>Possible Junk</b></font> - Emails with score between <%=possibleThreshold%> and <%=(spamThreshold - 1)%>
			<li><font color="<%=DefaultColors.getInstance().getJunkColorForHtml()%>"><b>Junk Emails</b></font> - Emails with score greater or equal to <%=spamThreshold%>
			</ul>
			</div>
		</div>
	</div>
</div>

<br>
<form action="<%= request.getAttribute("appPath") %>" method="post">
<div class="row">
	<div class="col-md-6">
		<div class="well-info-wrap">
			
			<div class="well-info-header">Threshold Configuration</div>
			<div class="well-info-body">
			The score threshold for possible Junk and Junk are set at 60 and 100 by <%= productName %>. Our research
			shows that these values should work for most of the users. However, if you think you need to change them
			you can specify different values here.
			
			<br><br>
			<span class="form-control pull-left form-left form-text wth-6">Spam threshold:</span>
			<input class="form-control pull-left form-right wth-4 text-center" type="text" name="txtSpamScore" value=<%=spamThreshold%>>
			
			<br>
			<span class="form-control pull-left form-left form-text wth-6">Possible spam threshold:</span>
			<input class="form-control pull-left form-right wth-4 text-center" type="text" name="txtPossibleSpamScore" value=<%=possibleThreshold%>>
			
			<br style="clear:both;">
			</div>
		</div>
		<br>
		<div class="well-info-wrap">
			
			<div class="well-info-header">External Subject Tag</div>
			<div class="well-info-body">
			A special tag that will be added to the subject line of every GOOD message, letting users know an email came in from the Internet.
			This tag will only be applied to inbound messages.
			
			<br><br>
			<span class="form-control pull-left form-left form-text wth-6">Subject Tag:</span>
			<input class="form-control pull-left form-right wth-4 text-center" type="text" name="txtExternalSubjectTag" value="<%= request.getAttribute("externalSubjectTag")%>" />
			
			
			<br style="clear:both;">
			</div>
		</div>
		
		<br>
		
		<div class="well-info-wrap">
			
			<div class="well-info-header">External Body File</div>
			<div class="well-info-body">
			
			Text containing in the file mentioned below will be added to every GOOD inbound message, letting users know an email came in from the Internet.
			
			<br><br>
			<span class="form-control pull-left form-left form-text wth-3">Snippet File:</span>
			<input class="form-control pull-left form-right wth-7 text-center" type="text" name="txtExternalBodySnippet" value="<%= request.getAttribute("externalBodySnippet")%>" />
			
			
			<br style="clear:both;">
			<b>NOTE: </b>This field accepts a <b>file name</b>. Ensure file exists before saving. 
			<a href="http://www.xeams.com/external-body-tag.htm" target="_blank">Click here</a> for a sample.
			</div>
		</div>
		
		
	</div>
	
	<br class="hide_lg">
	<div class="col-md-6">
		<div class="well-info-wrap">
			<div class="well-info-header">Additional Configuration</div>
			<div class="well-info-body no-padding">
				<table class="table table-bordered table-striped">
				<tr>
				<td valign="top">Enable filtering:</td>
				<td valign="top" style="width:80px;"><span class="chkbox-cust form-control pull-left"><input id="chk-filt" type="checkbox" name="chkFilteringEnabled" value="1"  <%= request.getAttribute("filteringEnabled")  %>><label for="chk-filt"></label></span></td>
				<td valign="top">Every filtering rule will be disabled if this box is <b>NOT</b> checked.</td>
				</tr>


				<tr>
				<td valign="top">Domain Validation Score:</td>
				<td valign="top"><input class="form-control" type="text" name="txtDomainValidation" size="3" value="<%= request.getAttribute("domainWeight") %>"></td>
				<td valign="top">This is the score that will be assigned to an email if no MX record is found for the sender's domain</td>
				</tr>

				<tr>
				<td valign="top">Bypass Authenticated Users:</td>
				<td valign="top" style="width:80px;"><span class="chkbox-cust form-control pull-left"><input id="chk-bypass" type="checkbox" name="chkBypassAuthUser" value="yes" <%= request.getAttribute("bypassAuthUsers") %>><label for="chk-bypass"></label></span></td>
				<td valign="top">If checked, a <code><%= System.getProperty("score.for.auth.users", "-1000") %></code> score will be applied to the message, steering the email into the <b>Good</b> category.</td>
				</tr>
				
				<tr>
				<td valign="top">Bypass Relayed:</td>
				<td valign="top" style="width:80px;"><span class="chkbox-cust form-control pull-left"><input id="chk-bypassRelayed" type="checkbox" name="chkBypassRelayed" value="yes" <%= request.getAttribute("bypassRelayed") %>><label for="chk-bypassRelayed"></label></span></td>
				<td valign="top">If checked, a <code><%= System.getProperty("score.for.relayed.host", "-300") %></code> score will be applied to the message coming in from a host/ip allowed to relay.</td>
				</tr>
				
				

				<tr>
				<td valign="top">Deletion Threshold:</td>
				<td valign="top"><input class="form-control" type="text" name="txtDeletionThreshold" size="3" value="<%= request.getAttribute("deletionThreshold") %>"></td>
				<td valign="top">If an email score is higher than this number that email will be deleted. Deleted emails are not
				saved and therefore, cannot be restored.</td>
				</tr>
				
				</table>
			</div>
		</div>
		<br style="clear:both;">
		<input type="hidden" name="txtContentValidation" value="100">
		<input type="hidden" name="txtIPValidation" value="100">
		<input type="hidden" name="operation" value="5">
		<button type="submit" class="btn btn-md btn-submit pull-right">Submit</button>
		
	</div>
	
	
</div>
</form>

<br style="clear:both;"><br><br>

<%@ include file="NewPageFooter.jsp" %>
