<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>




<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>

<h1 class="pull-left">Modify Filter</h1>

<%

ContentFilterBean aFilter = (ContentFilterBean)request.getAttribute("AFilter");

String value = "";
String weight = "";
String matchCase = "";
String itemIndex = (String)request.getAttribute("ItemIndex");
String type = (String)request.getAttribute("ContentType");
String expirationDate = null;

if(itemIndex == null) itemIndex = "-1";

String selected1 = "";
String selected2 = "";
String selected3 = "";
String selected4 = "";
String selected5 = "";
String selected6 = "";
String selected7 = "";
String selected8 = "";


if(aFilter != null){
    value = aFilter.getValueForWeb();
    weight = "" + aFilter.getWeight();
    expirationDate = aFilter.getExpirationDateString();
    if(aFilter.isMatchCase()){
        matchCase = "checked";
    }

    switch(aFilter.getOperator()){
        case 1:
            selected1 = "selected";
            break;
        case 2:
            selected2 = "selected";
            break;
        case 3:
            selected3 = "selected";
            break;
        case 4:
            selected4 = "selected";
            break;
        case 5:
            selected5 = "selected";
            break;
        case 6:
            selected6 = "selected";
            break;
        case 7:
            selected7 = "selected";
            break;
        case 8:
            selected8 = "selected";
            break;
    }
}

%>

<br class="hide_lg" style="clear:both;"><br>
<div class="row">
	<div class="col-md-1"></div>
	<div class="col-md-6">
		<div class="well-info-wrap">
			<div class="well-info-header">Filter Parameters</div>
			<form action="<%= request.getAttribute("appPath") %>" method="post">
			<div class="well-info-body">
				<%
				if(type.equals("header")){

				String to = "";
				String cc = "";
				String bcc = "";
				String cType = "";
				String customHeader = "";
				String allRecipient = "";

				if(aFilter != null){
					HeaderFilterBean hFilter = (HeaderFilterBean) aFilter;

					if(hFilter.getFilterType() == HeaderFilterBean.HPART_BCC) bcc = "selected";
					if(hFilter.getFilterType() == HeaderFilterBean.HPART_CC) cc = "selected";
					if(hFilter.getFilterType() == HeaderFilterBean.HPART_TO) to = "selected";
					if(hFilter.getFilterType() == HeaderFilterBean.HPART_ALL_RECIPIENTS) allRecipient = "selected";
					if(hFilter.getFilterType() == HeaderFilterBean.HPART_CUSTOM_HEADER) customHeader = "selected";
					if(hFilter.getFilterType() == HeaderFilterBean.HPART_CONTENT_TYPE) cType = "selected";
				}
				%>

				<div class="btn btn-info form-control pull-left form-left wth-1" disabled><b>?</b></div>
				<span class="form-control pull-left form-middle form-text wth-5">Field name</span>
				<select class="form-control pull-left wth-4" name="lstHeaderPart">
					<option value="<%=HeaderFilterBean.HPART_ALL_RECIPIENTS%>" <%=to%>>To, CC, BCC </option>
					<option value="<%=HeaderFilterBean.HPART_TO%>" <%=to%>>TO </option>
					<option value="<%=HeaderFilterBean.HPART_CC%>" <%=cc%>>CC</option>
					<option value="<%=HeaderFilterBean.HPART_BCC%>" <%=bcc%>>BCC</option>
					<option value="<%=HeaderFilterBean.HPART_CONTENT_TYPE%>" <%=cType%>>Content type</option>
					<option value="<%=HeaderFilterBean.HPART_CUSTOM_HEADER%>" <%=cType%>>Custom Header</option>
				</select>
				
				<br style="clear:both;"><br>
				<%
				}
				%>

				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('score')"><b>?</b></div>
				<span class="form-control pull-left form-middle form-text wth-5">String to search for</span>
				<input class="form-control pull-left form-right wth-4" type="text" name="txtValue" value="<%=value%>">
				
				<br style="clear:both;">
				<div class="alert alert-info more_info" id="score">
					Signifies the text that will be searched in the email.
					<br>
					For example:
					<ul>
						<li>Online pharmacy</li>
						<li>Cheap mortgage</li>
					</ul>
				</div>

				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('weight')"><b>?</b></div>
				<span class="form-control pull-left form-middle form-text wth-5">Weight</span>
				<input class="form-control pull-left form-right wth-4" type="text" name="txtWeight" value="<%=weight%>">
				
				<br style="clear:both;">
				<div class="alert alert-info more_info" id="weight">
					Every email is assigned a score, which is the sum of all the rule scores added together. If this sum is greater than 100, it will be considered as junk.
					This value holds the score of the current rule.
					<br>
					For instance, if you assign 120 to this rule, every email where this rule matches will be quarantined.
					Similarly, if you assign -2300 to this rule, the total score of a matching email will be much less than the 100 and therefore, it will be treated as good.
				</div>
				
				<%
				if(type.equals("senderX")){ //I have changed this. Type type will never equal 'senderX'
											//Did not want to delete the code, just in case I decide to
											//implement it in the future.
				String matchFullName = "";
				String matchNameOnly = "";
				String matchDomainOnly = "";

			

				%>
				<div class="btn btn-info form-control pull-left form-left wth-1" disabled><b>?</b></div>
				<span class="form-control pull-left form-middle form-text wth-5">Search part</span>
				<select class="form-control pull-left wth-4" name="lstDomainPart">
				<option value="100" <%=matchFullName%>>Full email
				<option value="102" <%=matchNameOnly%>>Name only
				<option value="103" <%=matchDomainOnly%>>Domain Name only
				</select>
				<%
				}
				%>


				<%
				if(type.equals("body")){
				String preProcess = "";

				if(aFilter != null){
					BodyFilterBean sFilter = (BodyFilterBean) aFilter;

					if(sFilter.isPreProcessor()) preProcess = "checked";
				}
				%>
				
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('preprocessor')"><b>?</b></div>
				<span class="form-control pull-left form-middle form-text wth-8">Preprocessor</span>
				<span class="chkbox-cust form-control form-right pull-left wth-1">
					<input id="chk-preproc" type="checkbox" name="chkPreprocess" value="1" <%=preProcess%>>
					<label for="chk-preproc"></label>
				</span>

				<br style="clear:both;">
				<div class="alert alert-info more_info" id="preprocessor">
					Email body is parsed in two phases:
					<ol>
						<li><b>Pre-processed phase</b> - In this phase, words are searched in the original email message as-is.</li>
						<li><b>Post-processed phase</b> - The server formats the message by removing any noise words such as HTML tags, comments, and any character encoding.</li>
					</ol>
					If you are planning to search for HTML tags or any word that you want to parse as-is, check this box.
				</div>
				<%
				}
				%>

				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('matchCase')"><b>?</b></div>
				<span class="form-control pull-left form-middle form-text wth-8">Match Cases</span>
				<span class="chkbox-cust form-control form-right pull-left wth-1">
					<input id="chk-match" type="checkbox" name="chkMatchCase" value="1" <%=matchCase%>>
					<label for="chk-match"></label>
				</span>
				
				<br style="clear:both;">
				<div class="alert alert-info more_info" id="matchCase">
					If this is checked, search will be case-sensitive.
				</div>

				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('operator')"><b>?</b></div>
				<span class="form-control pull-left form-middle form-text wth-5">Operator</span>
				<select class="form-control pull-left wth-4" name="lstOperator">
				<option value="1" <%=selected1%>>Contains</option>
				<option value="8" <%=selected8%>>Contains Word</option>
				<option value="6" <%=selected6%>>Equals</option>
				<option value="2" <%=selected2%>>Starts with</option>
				<option value="3" <%=selected3%>>Ends with</option>
				<option value="4" <%=selected4%>>Does not contain</option>
				<option value="5" <%=selected5%>>Is blank</option>
				<option value="7" <%=selected7%>>Regular Expression</option>
				</select>
				
				<br style="clear:both;">
				<div class="alert alert-info more_info" id="operator">
					The value of this field tells Xeams how the search should be performed.
					<br>
					<b>Possible values are:</b><br>
					<ul>
						<li><u>Contains</u> - String being searched can appear anywhere. It does not have to be a word. You can use the "AND" operator when specifying this operator. For example: Inkjet AND low prices</li>
						<li><u>Contains word</u> - String being searched must be a word</li>
						<li><u>Equals</u> - String being searched must equal the email. This operator is useful if you are getting hit by an email virus and want to know the exact subject or body of the message.</li>
						<li><u>Starts with</u> - String being searched appears in the beginning</li>
						<li><u>Ends with</u> - String being searched appears at the end</li>
						<li><u>Does not contain</u> - This is the opposite of 'Contains'</li>
						<li><u>Is blank</u> - This is useful if you are searching for blank strings, like a blank subject or a blank sender</li>
						<li><u>Regular Expression</u> - This operator should only be used by advanced users.</li>
					</ul>
					<br>
					<a href="http://www.xeams.com/RegularExpression.jsp">Click here</a> for more information.
				</div>

				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('expire')"><b>?</b></div>
				<span class="form-control pull-left form-middle form-text wth-5">Expires after</span>
				<select class="form-control pull-left wth-4" name="expirationDate">
				<%
				if(expirationDate != null && expirationDate.length() > 0){
					%>
					<option value="noChange"><%=expirationDate %></option>
					<%
				}
				%>
				<option value="0">Never</option>
				<option value="1">1 Day</option>
				<option value="2">2 Days</option>
				<option value="3">3 Days</option>
				<option value="4">4 Days</option>
				<option value="5">5 Days</option>
				<option value="6">6 Days</option>
				<option value="7">7 Days</option>
				<option value="10">10 Days</option>
				<option value="15">15 Days</option>
				<option value="20">20 Days</option>
				<option value="30">1 Month</option>
				<option value="60">2 Months</option>
				<option value="90">3 Months</option>
				<option value="120">4 Months</option>
				<option value="150">5 Months</option>
				<option value="180">6 Months</option>
				<option value="365">1 Year</option>
				</select></span>
				
				<br style="clear:both;">
				<div class="alert alert-info more_info" id="expire">
					You can optionally associate an expiration date with a filter. Expiration date is useful if you are getting
					hammered by any particular email, which has very innocent content. You can temporarily add a rule that will
					expire after some time.
				</div>
				
				<br style="clear:both;">
				<button class="btn btn-sm btn-submit pull-left wth-4" style="margin-left:5%;" type="submit" name="SaveAndClose">Save</button>
				<button class="btn btn-sm btn-menu pull-right wth-4" style="margin-right:5%;" type="submit" name="SaveAndAdd"><span class="glyphicon glyphicon-plus"></span> &nbsp Save and Add More</button>
				
				<input type="hidden" name="operation" value="12">
				<input type="hidden" name="type" value="<%=type%>">
				<input type="hidden" name="itemIndex" value="<%=itemIndex%>">
				</form>
				<br style="clear:both;">
			</div>
		</div>
	</div>
</div> 


<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
