
<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>


<%
MailActions ma = (MailActions)request.getAttribute("MailAction");
MaxEmailActions profile = (MaxEmailActions)request.getAttribute("RulesProfile");

%>

<div class="well">This section defines how emails are handled once a category is assigned to them.</div>



<div class="well-info-wrap">
	<div class="well-info-header">Configuration</div>
	<div class="well-info-body no-padding" style="padding-bottom:10px;">
		<div class="well-info-additional">
			<b>Caution:</b> Forwarding emails to another account may add processing time.
			<!-- As a rule of thumb, if you expect more than 1 message per second, do not forward emails to another account. -->
		</div>
		
		<form action="<%= request.getAttribute("appPath") %>" method="post">
		<input type="hidden" name="operation" value="28">
		
		<div class="table-responsive">
			<table class="table table-striped table-bordered ">
			<tr>
			<td><b>Message Category</b></td>
			<td><b>Action</b><br><font size="-2">(Define how do you want to handle this category)</font></td>
			<td><b>Forward To</b><br><font size="-2">(Email address of the recipient who should get these messages)</font></td>
			</tr>

			<!-- Good Messages -->
			<tr>
			<td>Good messages </td>
			<td>

			<select class="form-control" name="good">
			<option value="<%=ma.ACTION_NOTHING%>" <%=ma.getGoodAction() == ma.ACTION_NOTHING ? "selected" : ""%>  >  <%=ma.NOTHING%>
			<option value="<%=ma.ACTION_CHANGE_SUBJECT%>"  <%=ma.getGoodAction() == ma.ACTION_CHANGE_SUBJECT ? "selected" : ""%> ><%=ma.CHANGE_SUBJECT%>
			<option value="<%=ma.ACTION_CHANGE_SUBJECT_FORWARD%>"  <%=ma.getGoodAction() == ma.ACTION_CHANGE_SUBJECT_FORWARD ? "selected" : ""%>><%=ma.CHANGE_SUBJECT_FORWARD%>
			<option value="<%=ma.ACTION_QUARANTINE%>"  <%=ma.getGoodAction() == ma.ACTION_QUARANTINE ? "selected" : ""%> ><%=ma.QUARANTINE%>
			<option value="<%=ma.ACTION_QUARANTINE_FORWARD%>" <%=ma.getGoodAction() == ma.ACTION_QUARANTINE_FORWARD ? "selected" : ""%> ><%=ma.QUARANTINE_FORWARD%>
			</select>

			</td>
			<td><input class="form-control" type="text"  size="30" name="goodForward"  value="<%=ma.getGoodForwardTo()%>">
			</tr>

			<!--
			<tr><td colspan="3" align="center"><img src="images/GradientLine.gif" height="1" width="100%"></td></tr>
			-->


			<!-- Possible Spam -->
			<tr>
			<td>Possible spam </td>
			<td>

			<select class="form-control" name="possible">
			<option value="<%=ma.ACTION_NOTHING%>" <%=ma.getPossibleAction() == ma.ACTION_NOTHING ? "selected" : ""%>  >  <%=ma.NOTHING%>
			<option value="<%=ma.ACTION_CHANGE_SUBJECT%>"  <%=ma.getPossibleAction() == ma.ACTION_CHANGE_SUBJECT ? "selected" : ""%> ><%=ma.CHANGE_SUBJECT%>
			<option value="<%=ma.ACTION_CHANGE_SUBJECT_FORWARD%>"  <%=ma.getPossibleAction() == ma.ACTION_CHANGE_SUBJECT_FORWARD ? "selected" : ""%>><%=ma.CHANGE_SUBJECT_FORWARD%>
			<option value="<%=ma.ACTION_QUARANTINE%>"  <%=ma.getPossibleAction() == ma.ACTION_QUARANTINE ? "selected" : ""%> ><%=ma.QUARANTINE%>
			<option value="<%=ma.ACTION_QUARANTINE_FORWARD%>" <%=ma.getPossibleAction() == ma.ACTION_QUARANTINE_FORWARD ? "selected" : ""%> ><%=ma.QUARANTINE_FORWARD%>
			</select>

			</td>
			<td><input class="form-control" type="text" size="30" name="possibleForward"  value="<%=ma.getPossibleForwardTo()%>">
			</tr>


			<!--
			<tr><td colspan="3" align="center"><img src="images/GradientLine.gif" height="1" width="100%"></td></tr>
			-->

			<!-- Spam -->
			<tr>
			<td>Spam </td>
			<td>

			<select class="form-control" name="spam">
			<option value="<%=ma.ACTION_NOTHING%>" <%=ma.getSpamAction() == ma.ACTION_NOTHING ? "selected" : ""%>  >  <%=ma.NOTHING%>
			<option value="<%=ma.ACTION_CHANGE_SUBJECT%>"  <%=ma.getSpamAction() == ma.ACTION_CHANGE_SUBJECT ? "selected" : ""%> ><%=ma.CHANGE_SUBJECT%>
			<option value="<%=ma.ACTION_CHANGE_SUBJECT_FORWARD%>"  <%=ma.getSpamAction() == ma.ACTION_CHANGE_SUBJECT_FORWARD ? "selected" : ""%>><%=ma.CHANGE_SUBJECT_FORWARD%>
			<option value="<%=ma.ACTION_QUARANTINE%>"  <%=ma.getSpamAction() == ma.ACTION_QUARANTINE ? "selected" : ""%> ><%=ma.QUARANTINE%>
			<option value="<%=ma.ACTION_QUARANTINE_FORWARD%>" <%=ma.getSpamAction() == ma.ACTION_QUARANTINE_FORWARD ? "selected" : ""%> ><%=ma.QUARANTINE_FORWARD%>
			</select>

			</td>
			<td><input class="form-control" type="text"  size="30" name="spamForward" value="<%=ma.getSpamForwardTo()%>">
			</tr>
			</table>
		</div>
		
		<button class="btn btn-sm btn-submit pull-right" style="margin-right:10px;" type="submit">Save</button>
		</form>
		<br style="clear:both;">
	</div>
</div>

<%
if(profile.isJunkMarkerFooterEnabled() || System.getProperty("allow.user.markings.footer", "false").equals("true")){
	
//Allow markings by user's is NOT a good feature to have in Xeams. Since a user who receive an email with such footer has the ability to
//forward or reply messages to other users on the Internet, these other users will also see the same footer and will not only get
//confused, but can also modify the settings in this Xeams by clicking the messages incorrectly.
	
%>

<br style="clear:both;">
<div class="well-info-wrap">
	<div class="well-info-header">Allow users to mark messages</div>
	<div class="well-info-body no-padding" style="padding-bottom:10px;">
		<div class="well-info-additional">
			You can optionally allow users to mark messages Good or Junk from their Inbox. When you enable this option, every email will contain a link towards
			the bottom that a user can click to mark any message Good or Junk.<br>
			<strong>Note</strong>: These options do not apply if the messages are quarantined.
		</div>
		<form action="<%= request.getAttribute("appPath") %>" method="post">
		<input type="hidden" name="operation" value="28">
		
		<div class="table-responsive">
			<table class="table table-striped table-bordered">
			<tr>
				<td>Allow marking</td>
				<td><input type="checkbox" name="useFooterToMark" <%= profile.isJunkMarkerFooterEnabled() ? " checked " : "" %> >
					&nbsp; &nbsp; <small>If checked, user marking is enabled.</small>
					<br><br>
					</td>

			</tr>

			<tr>
				<td>Link host</td>
				<td><input type="text" name="footerLinkHost" value="<%= profile.getJunkMarkerFooterHost() %>" >
				&nbsp; &nbsp; <small>Host name of this server with respect to the user. This will appear in the HTML tag.</small>
				
				</td>

			</tr>

			 
			<tr>
				<td>Footer text</td>
				<td><textarea style="width:100%; border:solid 1px #aaa;; padding:10px;" name="footerLinkMessage" rows='5' cols='70'><%= profile.getJunkMarkerFooterMessage() %></textarea></td>
			</tr>
			</table>
		</div>
		
		<button class="btn btn-sm btn-submit pull-right" style="margin-right:10px;" type="submit">Save</button>
		</form>
		<br style="clear:both;">
	</div>
</div>
<%} %>

<!--                   TIP SECTION STARTS HERE        -->

<br style="clear:both;">
<div class="well-info-wrap">
	<div class="well-info-header">Usage Tips</div>
	<div class="well-info-body no-padding">
		<div class="table-responsive">
			<table class="table table-striped table-bordered">

			<tr bgcolor="#EDECE3">
			<td valign="top"><b><%=ma.NOTHING%></b></td><td>No action will be taken. The email will be sent back to the
			email server without any changes. This is the default action for good emails.</td>
			</tr>

			<tr>
			<td valign="top"><b><%=ma.CHANGE_SUBJECT%></b></td><td>The subject of the email message will be changed. One of the following string
			will be appended to the begining of the subject.
			<li><u>[Good]</u> - If the email category is good
			<li><u>[PossibleSpam]</u> - If the email category is possible spam
			<li><u>[Spam]</u> - If the email category is spam
			<br>
			This is the default action for possible spam messages.
			</td>
			</tr>

			<tr bgcolor="#EDECE3">
			<td valign="top"><b><%=ma.CHANGE_SUBJECT_FORWARD%></b></td><td>Besides changing the subject as described above,
			this action can forward the email to one or more recipients separated by a comma.
			This is a useful feature if an administrator wants to closely watch which emails are being quarantined. The
			original message will the attached to the message.</td>
			</tr>

			<tr>
			<td valign="top"><b><%=ma.QUARANTINE%></b></td><td>Email will be quarantined. All emails that are quarantined
			are kept on the local hard drive for a specified number of days and then archived into zipped files<br>
			This is the default action of Spam Messages</td>
			</tr>

			<tr bgcolor="#EDECE3">
			<td valign="top"><b><%=ma.QUARANTINE_FORWARD%></b></td><td>This action will quarantine as well as forward the message.</td>
			</tr>
			</table>
		</div>
	</div>
</div>